// ==UserScript==
// @name           e*pvp Custom Infraction Add-on
// @namespace      elitepvpers
// @include        http://www.elitepvpers.com/forum/*
// @include        https://www.elitepvpers.com/forum/*
// @creator        Walter Sobchak, Muddy Waters
// @description    Simply a must have for each and every mod. :)
// @version        3.3
// @grant          none
// ==/UserScript==

(function () {
    // -----------------------------------------------------------------------------
    //          INFRACTION SETTINGS - YOU MIGHT WANT TO CHANGE THESE ;)
    // -----------------------------------------------------------------------------

    function initDefaultSettings() {
        // These are your infraction blueprints if you will. Change these or add new ones at will, but make sure to use the proper syntax as explained below!
        // Syntax:          Settings.english.infractions.push(new Infra(<InfractionReason>, <MessageToUser>[, <DeletionReason>[, <DefaultPoints>[, <ExpirationTime>[, <ExpirationType>[, <ComboBoxDisplayTitle>)]]]]]);
        // Note: The arguments separated by [] will be set to default values if omitted. So it's perfectly fine to create a new infraction by merely specifying a reason and a message.
        // Syntax for captions:     Settings.english.infractions.push(new Caption(<"YourCaptionTextGoesHere">));,

        // There is an alternative syntax that will also be used by the export function in User Script CP. This syntax users Javascript's object notation. Only the 'reason' and 'message' properties are required, the rest will be filled with defaults if not specified.
        // New Syntax:      Settings.english.infractions.push(new Infra({ reason: <InfractionReason>, message: <MessageToUser>, delReason: <DeletionReason>, points: <DefaultPoints>, expTime: <ExpirationTime>, expType: <ExpirationType>, title: <ComboBoxDisplayTitle> });

        // Also, there are several keywords that if used in a message will be replaced by predefined strings.
        // Keyword              Is replaced by:
        // -----------------------------------------------------------------------------------------------------------------------------------------------------------
        // <User>               The nickname of the user that is about to be given an infraction or warning.
        // <InfractionType>     Either "a warning" or "an infraction" (and of course their German equivalents), depending on the number of infraction points currently selected.
        // <Quote>              A quote tag and some new lines in case the "Add Quote" check box is checked. If the latter is not checked, the keyword will be simply be removed.
        // <ExpirationInfo>     A sentence saying when the selected infraction or warning is going to expire.
        // <Mod>                Most likely your name or whatever you have chosen as your display name.
        // See ReplacementRules below if you'd like to define new custom keywords.

        // -----------------------------------------------------------------------------
        // English infraction drafts 08/31/2016, 12:07 - START
        // The below code has been auto-generated by Custom Infraction Add-on V3.3.
        // -----------------------------------------------------------------------------
        // English - Custom
        Settings.english.infractions.push(new Caption("Custom"));
        Settings.english.infractions.push(new Infra({
            "reason": "Custom Infraction",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType>.<Quote>\n\n<CustomText>\n\n<ExpirationInfo>\n\nRegards\n<Mod>",
            "delReason": "This is a custom deletion reason."
        }));
        // English - elite*gold Support
        Settings.english.infractions.push(new Caption("elite*gold Support"));
        Settings.english.infractions.push(new Infra({
            "reason": "Not Involved",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for posting in a thread in elite*gold support without being involved in the case at hand.<Quote>\n\nPlease keep in mind that posting in a thread in elite*gold Support is restricted to the accuser, the accused, members who are directly involved in a case (e.g. the respective middleman), as well as members of e*pvp staff. Also see <egsupport> for details.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        // English - General
        Settings.english.infractions.push(new Caption("General"));
        Settings.english.infractions.push(new Infra({
            "reason": "Advertising",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for advertising another website.<Quote>\n\nAdvertising websites similar to e*pvp, private websites without a link back to e*pvp, or advertising your own board, hosted at a free-forum provider, is not allowed and a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations>.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Double Post",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for posting two or more times in a row.<Quote>\n\nThis is a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations>.\nIf you like to add something to a previous post, please make use of the [IMG]http://www.elitepvpers.de/forum/images/elitepvpers/buttons/edit.gif[/IMG] button.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Inappropriate Language",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for using inappropriate language.<Quote>\n\nWe neither tolerate profanity, nor hurting or even racist statements. Please always mind your language.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Insulted Other Member(s)",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for insulting another member.<Quote>\n\nPlease stick to the <Rules#Rules_EN_Rules_Consequences_for_violations> and treat other members with respect.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Posting Warez",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for posting Warez.\n\nEither posting or requesting links, but also giving instructions on how to find websites relevant for spreading illegal software, are not to be made and are a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations>.<Quote>\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Pushing Outdated Thread(s)",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for pushing an outdated topic, as this is a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations>. Please always make sure that a topic is up to date before posting.<Quote>\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Rank Fake",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for using a faked rank or badge. Unauthorized use of elitepvpers badges, or badges that look similar, is not allowed and a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations>.<Quote>\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Referrer Link",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for posting a referrer link, as this is a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations> which you should read and abide by.<Quote>\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Report System Abuse",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for abusing the report system. The report system is only to be used to report rule violations, but not just for fun or for other inexplicable reasons.<Quote>\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Scammer Accusation",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for posting an accusation outside of the dedicated sections which this is a violation of the <Rules#Rules_EN_Rules_Consequences_for_violations>.\nIf you would like to warn others about a possible scammer, please do so by using the TBM rating system and giving a negative rating.<Quote>\n\nIf you were scammed in an elite*gold trade, please consider posting your accusation in the [URL=http://www.elitepvpers.de/forum/elite-gold-support]elite*gold Support Section[/URL], providing as much proof as possible.\nAccusations are [B]only[/B] to be posted in that section and in [URL=http://www.elitepvpers.com/forum/complaint-area/]Complaint Area[/URL], but not in other sections and not on another member's profile.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Signature Rule Violation",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> due to a violation of the signature rules.<Quote>\n<sigviolation>\nPlease review the <Rules#Rules_EN_Signature_rules> and change your signature accordingly.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Spam",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for an unnecessary post.<Quote>\n\nPlease respect the <Rules#Rules_EN_Rules_Consequences_for_violations> and do not post, unless you actually have something meaningful to say. Please also note that posts which merely contain phrases like [I]#reported[/I], [I]#closerequest[/I] and such, without contributing to the topic at hand, are considered spam and will be punished accordingly.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Ignoring Staff Instructions",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for ignoring Staff Instructions.<Quote>\n\nPlease respect the decision making of the staff.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        // English - Black Market
        Settings.english.infractions.push(new Caption("Black Market"));
        Settings.english.infractions.push(new Infra({
            "reason": "BM Abuse",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for abusing the black market. Deleting your own posts, directly followed by creating a new post, is nothing but intentionally bypassing the <BmRules#Offers#EN>. Apart from the mere rule violation, you gain an unfair advantage over other members that follow the rules.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Early Bump",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for pushing your topic too early. Pushing your topic in elite*gold Trading section is only allowed every 4 hours, as it is stated in the <egrules>. There is [B]no exception[/B] to that rule, e.g. an exception for the first push.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Free Push",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for pushing another member's trade topic as this is a violation of the <BmRules#Posting#EN>.\n\nPlease only post in a trade topic if you are actually interested in a trade and have questions to the topic creator.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Illegal Trade",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for making an illegitimate offer or request. Please read both the <BMRules> and general <Rules#Rules_EN_Rules_Consequences_for_violations> before posting an offer or request in Black Market. Should you be unsure whether or not your offer is legitimate, please consult one of the moderators responsible.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "MM Push",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for pushing your topic in middleman section. Pushing in that section is generally not allowed, as announced in <middleman>. Please also read and observe the <BmRules>.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Multi Thread",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for creating multiple topics for the very same offer, as this is a violation of the <BmRules#Offers#EN>. Please only create one topic per offer.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Not Interested",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for posting in a trade topic without being interested in a trade as this is a violation of the <BmRules#Posting#EN>.\n\nPlease only post in a trade topic if you are actually interested in a trade with the topic creator. Also, make sure that your post shows your interest in a trade explicitly.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "TBM Pushing",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for abusing the TBM rating system. Giving ratings when responding to giveaway offers or raffles, as well as accumulating ratings by excessively performing elite*gold trades marginally above the rating threshold (i.e. >= 26 e*g) are not allowed and a violation of the <BmRules#General#EN>.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Thanks Trading",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for abusing the thanks system and using thanks as a currency. Thanks are only to be given for useful posts as also stated in the general <Rules#Rules_EN_Rules_Consequences_for_violations>. Please also note that even subtle hints at the thanks button when doing raffes or giveaways are undesired and thus forbidden by <BMRules#Raffle#EN>.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Unauthorized Offer",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for offering elite*gold versus money. Selling elite*gold versus money is only allowed to members having and elite*gold Trader or Premium badge.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "Unrequested MM Offer",
            "message": "Dear <User>,\n\nyou hereby receive <InfractionType> for offering your services as middleman unrequestedly. Middleman offers are not to be made unless the topic creator explicitly asks for them. Please also read and observe the <BmRules#Posting#EN>.\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));
        Settings.english.infractions.push(new Infra({
            "reason": "BM Abuse / Bypass Hack Inspection",
            "message": "Dear <User>,\n\nyou hereby receive an infraction for bypassing the hack inspection. Creating a new thread to bypass the hack inspection is not allowed.\n\nYou can find more information about the hack inspection here: [URL=\"https://www.elitepvpers.com/forum/trading/announcement-inspection-hacks-kontrolle-von-hacks.html\"]Inspection of hacks / Kontrolle von Hacks[/URL]\n\n<ExpirationInfo>\n\nRegards\n<Mod>"
        }));

        // -----------------------------------------------------------------------------
        // German infraction drafts 08/31/2016, 12:08 - START
        // The below code has been auto-generated by Custom Infraction Add-on V3.3.
        // -----------------------------------------------------------------------------
        // German - Custom
        Settings.german.infractions.push(new Caption("Custom"));
        Settings.german.infractions.push(new Infra({
            "reason": "Custom Infraction",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType>.<Quote>\n\n<CustomText>\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        // German - elite*gold Support
        Settings.german.infractions.push(new Caption("elite*gold Support"));
        Settings.german.infractions.push(new Infra({
            "reason": "Not Involved",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType>, weil du in einem Thema im elite*gold Support gepostet hast, ohne in den vorliegenden Fall involviert gewesen zu sein.<Quote>\n\nBitte beachte, dass das Posten in einem Thema im elite*gold Support beschränkt ist auf den Kläger, den Beschuldigten, andere direkt in einen Fall involvierte Mitglieder (z.B. der jeweilige Mittelsmann), sowie Mitglieder des e*pvp Teams. Für weitere Informationen, siehe die <egsupport>.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        // German - General
        Settings.german.infractions.push(new Caption("General"));
        Settings.german.infractions.push(new Infra({
            "reason": "Advertising",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Posten von Fremdwerbung.<Quote>\n\nDas Werben für e*pvp ähnliche Websites, privaten Websites ohne Backlink zu e*pvp, oder für ein eigenes, durch einen Free-Forum Provider gehostetes Forum, ist durch die <Rules#Rules_DE_Rules_Consequences_for_violations> untersagt.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Double Post",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> aufgrund eines Doppelposts.<Quote>\n\nDoppelposts verstoßen gegen die <Rules#Rules_DE_Rules_Consequences_for_violations> und sind daher zu unterlassen.\nWenn du einem vorherigen Beitrag etwas hinzufügen möchtest, verwende dazu bitte den [IMG]http://www.elitepvpers.de/forum/images/elitepvpers/buttons/edit.gif[/IMG] Button.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Inappropriate Language",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> aufgrund einer unangebrachten Wortwahl.<Quote>\n\nWir dulden keine extrem vulgäre, verletzende oder gar rassistische Äußerungen. Bitte achte grundsätzlich auf deine Wortwahl.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Insulted Other Member(s)",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> aufgrund einer Beleidigung.<Quote>\n\nBitte befolge die <Rules#Rules_DE_Rules_Consequences_for_violations> und verhalte dich Anderen gegenüber respektvoll.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Posting Warez",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Posten von Warez.\n\nDas Posten oder Anfordern von Links, aber auch Hinweise zu einschlägigen Websites, die die Verbreitung illegaler Software fördern, sind nicht erwünscht und stellen einen Verstoß gegen die <Rules#Rules_DE_Rules_Consequences_for_violations> dar.<Quote>\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Pushing Outdated Thread(s)",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das unnötige Hochholen eines veralteten Themas. Dies ist durch die <Rules#Rules_DE_Rules_Consequences_for_violations> untersagt. Bitte versichere dich immer vor dem Posten in einem Thema, dass dieses noch aktuell ist.<Quote>\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Rank Fake",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für die Verwendung eines gefälschten Rangs. Die <Rules#Rules_DE_Rules_Consequences_for_violations> untersagen die nicht authorisierte Nutzung von Rängen, die den e*pvp Rängen entsprechen oder diesen sehr ähnlich sind.<Quote>\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Referrer Link",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Posten eines Referrer-Links, was einen Verstoß gegen die <Rules#Rules_DE_Rules_Consequences_for_violations> darstellt, welche du lesen und einhalten solltest.<Quote>\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Report System Abuse",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für den Missbrauch des Report Systems. Das Report System darf nur eingesetzt werden, um Regelverstöße zu melden, nicht aber zum Spaß oder aus anderen nicht nachvollziehbaren Gründen.<Quote>\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Scammer Accusation",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Posten einer Anschuldigung außerhalb der dafür vorgesehenen Sektionen, was durch die <Rules#Rules_DE_Rules_Consequences_for_violations> untersagt ist. Wenn du andere vor einem möglichen Betrüger warnen wollt, so tue dies bitte mithilfe des TBM-Bewertungssystems.<Quote>\n\nSolltest du in einem Handel mit elite*gold betrogen worden sein, kannst du deine Anschuldigung in der [URL=http://www.elitepvpers.de/forum/elite-gold-support]elite*gold Support Sektion[/URL] äußern. Liefere dabei soviele Beweise wie möglich.\nAnschuldigungen aller Art sind [B]ausschließlich[/B] in diesem Bereich und in der [URL=http://www.elitepvpers.com/forum/complaint-area/]Complaint Area[/URL] gestattet, nicht aber in anderen Sektionen und auch nicht in Form von Profilnachrichten.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Signature Rule Violation",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> aufgrund eines Verstoßes gegen die Signatur-Regeln.<Quote>\n<sigviolation>\nBitte lies die <Rules#Rules_DE_Signature_rules> und passe deine Signatur entsprechend an.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Spam",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Posten unnötiger Beiträge.<Quote>\n\nBitte respektiere die <Rules#Rules_DE_Rules_Consequences_for_violations> und poste nur dann, wenn du etwas sinnvolles zu sagen hast. Beachte bitte auch, dass Beiträge, welche lediglich Formulierungen wie [I]#reported[/I], [I]#closerequest[/I] und ähnliche enthalten, ohne anderweitig zum Thema beizutragen, als Spam betrachtet und entsprechend geahndet werden.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Ignoring Staff Instructions",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Ignorierung von Staffanweisungen.<Quote>\n\nBitte respektiere die Entscheidungen von Staffmitgliedern.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        // German - Black Market
        Settings.german.infractions.push(new Caption("Black Market"));
        Settings.german.infractions.push(new Infra({
            "reason": "BM Abuse",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für den Missbrauch des Black Market. Das Löschen von eigenen Beitragen, um im Anschluss darauf einen neuen Beitrag zu verfassen, stellt eine vorsätzliche Umgehung der <BmRules#Offers#DE> dar. Abgesehen vom reinen Regelverstoß, verschafft man sich mit diesem Verhalten einen unfairen Vorteil gegenüber anderen Mitgliedern, die sich an die Regeln halten.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Early Bump",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für zu frühes Pushen. Das Pushen des eigenen Themas ist in der elite*gold Trading Sektion nur alle 4 Stunden gestattet, wie auch in den <egrules> nachzulesen. Diese Regel gilt [B]ohne Ausnahme[/B], es gibt nicht etwa eine Ausnahme für das erste Push.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Free Push",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Pushen eines des Themas eines anderen Members. Dies ist durch die <BmRules#Posting#DE> untersagt.\n\nBitte poste nur in einem Thema, wenn du an einem Handel interessiert bist und konkrete Fragen an den Themenersteller hast.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Illegal Trade",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für ein nicht regelkonformes Angebot. Bitte informiere dich über die <BmRules> wie auch die allgemeinen <Rules#Rules_DE_Rules_Consequences_for_violations> bevor du etwas im Black Market anbietest oder suchst. Solltest du Zweifel haben, ob ein Angebot zulässig ist, kannst du einen der zuständigen Moderatoren um Rat fragen.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "MM Push",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Pushen deines Themas in der Middleman Sektion. Das Pushen ist in dieser Sektion generell nicht gestattet, siehe dazu auch <middleman>. Bitte lies und beachte außerdem auch die <BmRules>.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Multi Thread",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Erstellen mehrerer Themen für dasselbe Angebot, was laut den <BmRules#Offers#DE> untersagt ist. Bitte erstelle immer nur ein Thema pro Angebot.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Not Interested",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType>, weil du in einem Trade Thema gepostet hast, ohne Interesse an einem Handel zu zeigen. Dies ist durch die <BmRules#Posting#DE> untersagt.\n\nBitte poste nur in einem Thema, wenn du auch an einem Handel interessiert bist. Drücke dich dabei nach Möglichkeit so aus, dass dein Interesse deutlich aus deinem Beitrag hervorgeht.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "TBM Pushing",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für den Missbrauch des TBM Bewertungssystems. Die Vergabe von Bewertungen bei Verschenkaktionen, aber auch das exzessive Sammeln von Bewertungen durch bewusstes, exzessives handeln mit elite*gold knapp über der Bewertungsgrenze (d.h. >= 26 e*g) sind durch die <BmRules#General#DE> eindeutig untersagt.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Thanks Trading",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für den Missbrauch des Thanks Systems und der Verwendung von Thanks als Zahlungsmittel. Thanks sind ausschließlich für sinnvolle Beiträge zu vergeben, wie auch in den allgemeinen <Rules#Rules_DE_Rules_Consequences_for_violations> aufgeführt. Beachte bitte auch, dass bereits Hinweise auf die Verwendung des Thanks Buttons in Verbindung mit Verlosungen im BM Bereich nicht erwünscht und durch die <BMRules#Raffle#DE> eindeutig untersagt sagt.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Unauthorized Offer",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für das Anbieten von elite*gold gegen echtes Geld. Der Verkauf von elite*gold gegen Geld ist nur Usern mit elite*gold Trader oder Premium Abzeichen erlaubt.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "Unrequested MM Offer",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType>, weil du dich unaufgefordert als Middleman angeboten hast. Dies ist nur dann gestattet, wenn der Themenersteller dies ausdrücklich wünscht und solche Angebote explizit verlangt. Bitte lies und beachte die <BmRules#Posting#DE>.\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));
        Settings.german.infractions.push(new Infra({
            "reason": "BM Abuse / Bypass Hack Inspection",
            "message": "Hallo <User>,\n\ndu erhältst hiermit <InfractionType> für die Umgehung der Hackkontrolle. Es ist dir nicht erlaubt einen neuen Thread zu erstellen um diese zu umgehen.\n\nMehr Informationen zu der Hackkontrolle findest du hier: [URL=\"https://www.elitepvpers.com/forum/announcement.php?a=270\"]Inspection of hacks / Kontrolle von Hacks[/URL]\n\n<ExpirationInfo>\n\nGruß\n<Mod>"
        }));

        // The following replacement rules will be applied to your infraction message, replacing each and every keyword with with the given replacement string.
        // Settings.german.replacementRules.push(new ReplacementRule(<LanguageId>, <Keyword>, <Replacement>));
        // Note that a replacement rule only requires a keyword, but not the delimiters (<>).
        // A word on anchors:
        // You can add anchors to each and every keyword that is to be replaced by a URL (Format: [URL=TargetURL]Display Text[/URL]).
        // Imagine you had a keyword "awesome" that is to be replaced by "[URL=http://www.elitepvpers.com/forum/awesomesection/424242-awesome-topic.html]This is awesome![/URL]".
        // If you include an anchor when using the keyword in one of your infractions, "<awesome#SomeAnchor>" would be replaced by "[URL=http://www.elitepvpers.com/forum/awesomesection/424242-awesome-topic.html#SomeAnchor]This is awesome![/URL]".

        // General Rules
        Settings.german.replacementRules.push(new ReplacementRule("rules", "[URL=http://www.elitepvpers.com/forum/main/announcement-board-rules-signature-rules.html]Regeln[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("rules", "[URL=http://www.elitepvpers.com/forum/main/announcement-board-rules-signature-rules.html]board rules[/URL]"));
        // War Rock General
        Settings.german.replacementRules.push(new ReplacementRule("wrrules", "[URL=http://www.elitepvpers.com/forum/warrock/1023478-read-before-post-warrock-section-rules-laberecke-wichtige-links.html]Sektions-Regeln der WarRock-Sektion[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("wrrules", "[URL=http://www.elitepvpers.com/forum/warrock/1023478-read-before-post-warrock-section-rules-laberecke-wichtige-links.html]WarRock-section's rules[/URL]"));
        // War Rock Hack
        Settings.german.replacementRules.push(new ReplacementRule("wrhackrules", "[URL=http://www.elitepvpers.com/forum/warrock-hacks-bots-cheats-exploits/890201-regeln-der-hack-sektion.html]Sektions-Regeln der 'WarRock - Hacks, Bots, Cheats & Exploits'-Sektion[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("wrhackrules", "[URL=http://www.elitepvpers.com/forum/warrock-hacks-bots-cheats-exploits/890201-regeln-der-hack-sektion.html]'WarRock - Hacks, Bots, Cheats & Exploits'-section's rules[/URL]"));
        // Black Market General
        Settings.german.replacementRules.push(new ReplacementRule("bmrules", "[URL=https://www.elitepvpers.com/forum/announcement.php?a=144]allgemeinen Regeln des Black Market[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("bmrules", "[URL=https://www.elitepvpers.com/forum/announcement.php?a=144]Black Market's general rules[/URL]"));
        // Black Market elite*gold Trading
        Settings.german.replacementRules.push(new ReplacementRule("egrules", "[URL=http://www.elitepvpers.com/forum/elite-gold-trading/393844-elite-gold-trading-rules.html]elite*gold Trading Regeln[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("egrules", "[URL=http://www.elitepvpers.com/forum/elite-gold-trading/393844-elite-gold-trading-rules.html]elite*gold Trading rules[/URL]"));
        // Black Market Middleman
        Settings.german.replacementRules.push(new ReplacementRule("middleman", "[URL=http://www.elitepvpers.com/forum/middleman/1316200-pushen-der-middleman-sektion-pushing-middleman-section.html]diese Ankündigung[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("middleman", "[URL=http://www.elitepvpers.com/forum/middleman/1316200-pushen-der-middleman-sektion-pushing-middleman-section.html]this topic[/URL]"));
        // elite*gold Support
        Settings.german.replacementRules.push(new ReplacementRule("egsupport", "[URL=http://www.elitepvpers.com/forum/elite-gold-support/announcement-span-style-color-red-strong-elite-gold-support-rules-strong-span.html]elite*gold Support Regeln[/URL]"));
        Settings.english.replacementRules.push(new ReplacementRule("egsupport", "[URL=http://www.elitepvpers.com/forum/elite-gold-support/announcement-span-style-color-red-strong-elite-gold-support-rules-strong-span.html]elite*gold Support Rules[/URL]"));

        // These strings will be appended to your message if the user's overall number of infractions and warnings does not exceed the limit specified you if you choose to always show it (see settings).
        Settings.german.infoText = "\n\nP.S.: Sollte dir noch nicht klar sein, welche Bedeutung eine Warnung oder Verwarnung hat, so kannst du dich [URL=http://www.elitepvpers.com/forum/main/1329965-ger-eng-infractions-warnings-things-you-should-know.html#DE000]hier[/URL] über unser Strafsystem informieren.";
        Settings.english.infoText = "\n\nP.S.: Should you not yet know what a warning or infraction is all about, you can find further information on our penalty system [URL=http://www.elitepvpers.com/forum/main/1329965-ger-eng-infractions-warnings-things-you-should-know.html#EN000]here[/URL].";

        // These are your predefined violations for signature rule violations.
        // When giving an infraction or warning due to a signature rule violation, there will be several check boxes which can be used to make your message to the user more specific.
        // Below, you can specify what text will be added to your message to the user when you select a check box. Of course you can also add new signature rule violations.
        // Syntax: Settings.english.signatureViolations.push(new SignatureViolation(<checkbox title>, <message>));
        Settings.english.signatureViolations.push(new SignatureViolation("Scammer Accusation", "The general board rules also apply to signatures, i.e. you are not to post accusations in your signature, use the TBM rating system instead. In case your trade has been conducted via e*pvp and the trading tipps have been followed, you can report the scammer in elite*gold Support (for trades involving elite*gold) or Complaint Area."));
        Settings.english.signatureViolations.push(new SignatureViolation("Advertising", "All rules regarding advertising other websites also apply to signatures, i.e. no advertising without a backlink, no advertising websites similar to elitepvpers and no advertising forums being hosted at a free-forum provider."));
        Settings.english.signatureViolations.push(new SignatureViolation("Ref-Link", "Referral links are not allowed."));
        Settings.english.signatureViolations.push(new SignatureViolation("Annoying Content", "A signature should not be looking displeasingly, i.e. you are not to use extremely large fonts or bright colors excessively as well as flashing animated images and such."));
        Settings.english.signatureViolations.push(new SignatureViolation("Picture - File Size", "A picture that is placed in your signature may not exceed a file size of 600kB."));

        Settings.german.signatureViolations.push(new SignatureViolation("Scammer Accusation", "Die allgemeinen Regeln gelten auch für Signaturen, d.h. du darfst keine Anschuldigungen in deiner Signatur posten, nutze bitte stattdessen das TBM-Bewertungssystem. Sofern der Handel über e*pvp abgewickelt worden ist und die Trading Tipps eingehalten wurden, kannst du den Betrüger auch in elite*gold Support (für Geschäfte mit elite*gold) oder Complaint Area melden."));
        Settings.german.signatureViolations.push(new SignatureViolation("Advertising", "Alle Regeln in Bezug auf das Werben anderer Webseiten gelten auch für Signaturen, d.h. kein Werben ohne Backlink, kein Werben für Webseiten mit Inhalten ähnlich denen von elitepvpers, kein Werben für Foren, welche bei einem Free-Forum Provider gehostet werden."));
        Settings.german.signatureViolations.push(new SignatureViolation("Ref-Link", "Referral-Links sind grundsätzlich untersagt."));
        Settings.german.signatureViolations.push(new SignatureViolation("Annoying Content", "Eine Signatur sollte nicht unangenehm aussehen, das heißt ihr solltet keine extrem großen Schriftarten oder helle Farben in übertriebenem Maße einsetzen, genauso wenig wie blinkende animierte Bilder und ähnliches."));
        Settings.german.signatureViolations.push(new SignatureViolation("Picture - File Size", "Ein Bild, das in der Signatur platziert wird, darf eine Dateigröße von 600kB nicht überschreiten."));
    }

    // -----------------------------------------------------------------------------
    // YOU SHOULD NOT CHANGE ANYTHING BELOW THIS UNLESS YOU KNOW WHAT YOU ARE DOING!
    // -----------------------------------------------------------------------------

    var Settings;

    const EXP_HOURS = 'H';
    const EXP_DAYS = 'D';
    const EXP_MONTHS = 'M';
    const EXP_NEVER = 'N';

    Settings =
        {
            german:
                {
                    infractions: [],
                    replacementRules: [],
                    signatureViolations: [],
                    infoText: ''
                },
            english:
                {
                    infractions: [],
                    replacementRules: [],
                    signatureViolations: [],
                    infoText: ''
                },
            loaderVersion: '3.3'
        };

    main();

    function main() {
        var _unsafeWindow = (typeof unsafeWindow != 'undefined') ? unsafeWindow : window;

        if (_unsafeWindow.self != _unsafeWindow.top) // Don't execute this in iframes...
            return;

        initDefaultSettings();
        localStorage.setItem('MWCustomInfraction_DefaultSettings', JSON.stringify(Settings));

        if (!document.getElementById('user_script_utility'))
            includeScript('//userscripts.elitepvpers.com/muddy/resources/classes/USUtility/user_script_utility.js', 'user_script_utility');

        includeScript('//userscripts.elitepvpers.com/muddy/scripts/epvp_custom_infraction/epvp_custom_infraction.min.js');
    }

    function includeScript(src, id) {
        var _script = document.createElement('script');

        if (id)
            _script.setAttribute('id', id);
        _script.setAttribute('type', 'text/javascript');
        _script.setAttribute('src', src);
        document.getElementsByTagName('head')[0].appendChild(_script);
    }

    // Deprecated as of 3.3
    function Infraction(reason, message, points, expTime, expType, title) {
        console.log('Custom Infraction Warning: You are using a deprecated constructor for infraction "reason"!');

        // Use this for backwards compatibility
        switch (arguments.length) {
            case 2:
                points = 1;
            case 3:
                expTime = 1;
            case 4:
                expType = EXP_MONTHS;
            case 5:
                title = reason;
        }

        this.reason = reason;
        this.message = message;
        this.points = points;
        this.expTime = expTime;
        this.expType = expType;
        this.title = title;
        this.type = 0;
    }

    function Infra(reason, message, delReason, points, expTime, expType, title) {
        if (typeof reason === 'object') {
            var n, _fields = ['reason', 'message', 'delReason', 'points', 'expTime', 'expType', 'title'],
                _defaults = {
                    'reason': {type: 'const', val: 'INVALID REASON!'},
                    'message': {type: 'const', val: 'MESSAGE EMPTY!'},
                    'delReason': {type: 'ref', val: 'reason'},
                    'points': {type: 'const', val: 1},
                    'expTime': {type: 'const', val: 1},
                    'expType': {type: 'const', val: EXP_MONTHS},
                    'title': {type: 'ref', val: 'reason'}
                };

            // Assign given properties
            for (n in reason) {
                if (_fields.indexOf(n) > -1) {
                    this[n] = reason[n];
                }
            }

            // Assign default values to all properties that have not been assigned at this point
            for (n = 0; n < _fields.length; n++) {
                if (typeof this[_fields[n]] === 'undefined') {
                    this[_fields[n]] = (_defaults[_fields[n]].type === 'const' ? _defaults[_fields[n]].val : this[_defaults[_fields[n]].val]);
                }
            }
        }
        else {
            // Assign defaults
            switch (arguments.length) {
                case 2:
                    delReason = reason;
                case 3:
                    points = 1;
                case 4:
                    expTime = 1;
                case 5:
                    expType = EXP_MONTHS;
                case 6:
                    title = reason;
            }

            this.reason = reason;
            this.message = message;
            this.delReason = delReason;
            this.points = points;
            this.expTime = expTime;
            this.expType = expType;
            this.title = title;
        }

        this.type = 0;
    }

    function Caption(title) {
        this.title = title;
        this.type = 1;
    }

    function ReplacementRule(match, replacement) {
        this.match = match;
        this.replacement = replacement;
    }

    function SignatureViolation(title, desc) {
        this.title = title;
        this.desc = desc;
    }
})();